#use wml::std::tags
#include "keys.inc"

<set-var htmlcomm="1">

<define-container ann>
<preserve pag>
<preserve col>
<preserve par>
<preserve line>
  <set-var %attributes>
<table border=0 cols=2 width="100%" cellspacing="1" cellpadding="6">
<tr>
<td width="100" bgcolor="#EEEEEE" align="left" valign="top">
Page <get-var pag><br>
Column <get-var col><br> 
Paragraph <get-var par><br> 
Line <get-var lin><br>
</td>
<td width="80%" bgcolor="#B4B29C" align="left" valign="top">
%body
</td>
</tr>
</table>

<restore pag>
<restore col>
<restore par>
<restore lin>
</define-container>


<define-container chapter>
<preserve t>
  <set-var %attributes>
<title>
%body
</title>
<a href="$(WML_SRC_FILENAME)" type="text/plain">[WML-Source: $(WML_SRC_FILENAME)]</a><a href="TOC2.html">[TOC]</a><a href="Part00.html">[Part00]</a>
<h1><font size=-1>[chapter]</font>%body</h1>
<restore t>
</define-container>





<define-container section>
<preserve t>
  <set-var %attributes>
<h2><font size=-1>[section]</font>%body</h2>
<restore t>
</define-container>

<define-container subsection>
<preserve t>
  <set-var %attributes>
<h3><font size=-1>[subsection]</font>%body</h3>
<restore t>
</define-container>

<define-container point>
<preserve t>
  <set-var %attributes>
<h4><font size=-1>[point]</font>%body</h4>
<restore t>
</define-container>

<define-container hint>
<table width="100%" bgcolor="#CCCCCC">
<td><img src="images/Hint.gif" align=left>%body</td>
</table>
</define-container>




<define-tag cont>
<font color="666666">[]</font>
</define-tag>

<define-tag ref>
<font color="FF0000">[Reference!]</font>
</define-tag>


<define-container file>
<font color="0000AA">
<tt>"%body"</tt>
</font>
</define-container>


<define-tag typo>
  <preserve is>
  <preserve ok>
  <set-var %attributes>
    [<font color="AA0000"><get-var is></font> = <font color="00AA00"><get-var ok></font>]
  <restore is>
  <restore ok>
</define-tag>


<define-container del>
<font color="DD0000">
%body
</font>
</define-container>

<define-container add>
<font color="00AA00">
%body
</font>
</define-container>

<define-container comm>
<if <get-var htmlcomm> <prog
<font color="00A000"><i>(%body<me>)</i></font><br>
>>
<!--%body-->
</define-container>

<define-container com>
<if <get-var htmlcomm> <prog
<font color="00A000"><i>(%body)</i></font><br>
>>
<!--%body-->
</define-container>


<define-tag me>
<a href="mailto:carsten@blender.nl">-cw-</a>
</define-tag>



<perl>
sub thumb{
   my ($src) = @_;
   (my $iconsrc = $src) =~ s/(.*\/|)([^\/]+)\.[^.]+$/$1$2_thumb.png/;
   (my $pngsrc = $src) =~ s/(.*\/|)([^\/]+)\.[^.]+$/$1$2.jpg/;
if (-e "images/$src") {
   my $error = `/usr/bin/X11/convert images/$src thumbs/$pngsrc`;
   my $error = `/usr/bin/X11/convert -geometry "500x1200" -colors 256 -dither images/$src thumbs/$iconsrc`;
   return "<a href=\"thumbs/$pngsrc\"><img src=\"thumbs/$iconsrc\"></a>";
}
else {
   return "<img src=\"images/noimage.jpg\">";
}
};
</perl>

<perl>
sub conv{
   my ($src) = @_;
   (my $pngsrc = $src) =~ s/(.*\/|)([^\/]+)\.[^.]+$/$1$2.jpg/;
if (-e "images/$src") {
   my $error = `/usr/bin/X11/convert  -quality 90 -colors 256 -dither images/$src images/$pngsrc`;
   return "<a href=\"images/$src\"><img src=\"images/$pngsrc\"></a>";
}
else {
   return "<img src=\"images/noimage.jpg\">";
}
};
</perl>


<define-container image>
  <preserve pic>
  <set-var %attributes>
<p>

<table border=1>
<tr>
<td>
<:= &conv("<get-var pic>"); :>
</td>
</tr>

<tr>
<td>
<b>%body</b>&nbsp;&nbsp;<a href="images/<get-var pic>">[images/<get-var pic>]</a>
</td>
</tr>
</table>
<p>
  <restore pic>
</define-container>


<define-container image2>
  <preserve pic>
  <set-var %attributes>
<p>
<center>
<:= &conv("<get-var pic>"); :>
<center>
</center>
<a href="images/<get-var pic>">[images/<get-var pic>]</a> %body
</center>
<p>
  <restore pic>
</define-container>


<define-container illust>
  <preserve pic>
  <set-var %attributes>
<p>
<center>
<:= &thumb("<get-var pic>"); :>
<br><a href="images/<get-var pic>">[images/<get-var pic>]</a> %body</center>
<p>
  <restore pic>
</define-container>

<define-tag icon>
  <preserve pic>
  <set-var %attributes>
<:= &conv("<get-var pic>"); :>
  <restore pic>
</define-tag>

/*
<!--
%%% Local Variables:
%%% mode: HTML
%%% mode: font-lock
%%% End: 
-->
*/
